FruxonDocs
ApiEscalations

Returns one set of working hours.

Includes whether the hours are open at the time of the request and when that next changes, computed on the server in the schedule's own time zone.

GET
/v1/tenants/{tenant}/workingHoursSchedules/{workingHoursSchedule}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

workingHoursSchedule*string

The working hours id.

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/workingHoursSchedules/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "timeZone": "string",
  "weekly": [
    {
      "day": "MONDAY",
      "intervals": []
    }
  ],
  "overrides": [
    {
      "date": "string",
      "label": "string",
      "intervals": []
    }
  ],
  "closingSoonMinutes": 0,
  "status": {
    "isOpen": false,
    "nextChangeAt": 0
  },
  "createdAt": 0,
  "modifiedAt": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}